<?php

namespace FiloBlu\Refilo\Remote;

use FiloBlu\Refilo\Remote\Entity\EntityProviderInterfaceFactory;
use FiloBlu\Refilo\Remote\Helper\TemplateStringFactory;
use FiloBlu\Refilo\Remote\IndexerConfiguration\IndexerConfigurationRepositoryInterface;
use FiloBlu\Refilo\Remote\IndexerConfiguration\IndexerResolver;
use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\ResourceConnection;
use Magento\Store\Model\StoreManagerInterface;
use Psr\Log\LoggerInterface;

/**
 * Class CatalogProdutIndexer
 * @package FiloBlu\Refilo\Remote
 */
class ProductIndexer extends AbstractStoreBasedIndexer
{
    public function getEntitiesToRemove(array $ids = [])
    {
    }

    public function beforeExecute(array $ids = [])
    {
    }

    public function postExecute(array $ids = [])
    {
    }

    /**
     * @return string
     */
    protected function getClass(): string
    {
        return __CLASS__;
    }

    protected function write($entities, $collection)
    {
        $this->getConnector()->create($entities, $collection);
    }
}
